package org.fouram.controller;

import java.util.List;

import org.fouram.core.base.controller.BaseController;
import org.fouram.core.util.AppUtil;
import org.fouram.core.util.AppUtil.ResultConstant;
import org.fouram.core.util.LoggerUtil;
import org.fouram.core.util.TreeUtil;
import org.fouram.entity.SapOrg;
import org.fouram.service.SapOrgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "/API")
public class ApiController extends BaseController {
	
	@Autowired
	private SapOrgService sapOrgService;

	@RequestMapping(value = "/getDepartTree", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object getDepartTree() {
		try {
			List<SapOrg> allOrgs = sapOrgService.findAll();
			return AppUtil.success(TreeUtil.buildTreeSimple(allOrgs), null);
		} catch (Exception e) {
			LoggerUtil.error(e);
			return AppUtil.error(ResultConstant.WEB_ERR_MSG);
		}
	}
}